
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>x265探索与研究（四）：如何编码视频？ / iVAN</title>

    <meta name="description" content="x265探索与研究（四）：如何编码视频？ 如何编码视频?           本文介绍x265中的两种编码视频方法,一是采用命令行的方法:二是GUI的方式.   1.命令行的方法   (1).第一种方式生成*.265格式的视频文件           第一种方式可以生成*.265格式的视频文件,对应的命令为: x265 --input-res 352x288 --fps 30 hall_cif_352x288_300.yuv -o hall_cif_352x288_300.h265   (2).第二种方式可以生成*.bin格式的视频流文">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">x265探索与研究（四）：如何编码视频？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>如何编码视频？</h1>
<p> </p>
<p>        本文介绍x265中的两种编码视频方法，一是采用命令行的方法；二是GUI的方式。</p>
<p> </p>
<h2>1、命令行的方法</h2>
<p> </p>
<p><strong>（1）、第一种方式生成*.265格式的视频文件</strong></p>
<p> </p>
<p>        第一种方式可以生成*.265格式的视频文件，对应的命令为：</p>
<pre>x265 --input-res 352x288 --fps 30 hall_cif_352x288_300.yuv -o hall_cif_352x288_300.h265</pre>
<p> </p>
<p><strong>（2）、第二种方式可以生成*.bin格式的视频流文件</strong></p>
<p> </p>
<p>        第二种方式可以生成*.bin格式的视频流文件，对应的命令为：</p>
<pre>x265.exe --preset fast --input hall_cif_352x288_300.yuv --fps 30 --input-res 352x288 --output out.bin --psnr --ssim --bitrate 128</pre>
<p> </p>
<p>两种方式生成的对应文件如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMDQxNjMxNDU5NTU=.jpg"></p>
<p>        除了这两种经测试可以使用的方式外，网址：<a href="http://x265.ru/en/encode/" rel="external nofollow noreferrer">http://x265.ru/en/encode/</a>还提供了两种略有区别的命令行方式，如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMDQxNjMyNTIzNTU=.jpg"></p>
<p><strong>（3）、第三种命令行的方式，可以生成*.x265和*.csv</strong></p>
<p> </p>
<p>        下面对其进行测试，第三种命令行的方式，可以生成*.x265和*.csv，对应的命令为：</p>
<pre>x265.exe hall_cif_352x288_300.yuv --input-res 352x288 --fps 30 -o out.x265 --csv results.csv --no-rect --max-merge 3 --rd 0 --tu-intra-depth 2 --tu-inter-depth 1 --no-tskip --frame-threads 2</pre>
<p> </p>
<p>        需要注意的是：该方式输入的视频必须是YUV或Y4M格式，帧的宽和高也必须指定且FPS也必须设定。测试过程如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMDQxNjMzNTAxMTU=.jpg"></p>
<p>        测试结果如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMDQxNjMzNTQzMzY=.jpg"></p>
<p><strong>（4）、第四种命令行方式输出是*.hevc格式</strong></p>
<p> </p>
<p>        该命令行的方式，输入是*.y4m的视频，可以获得高质量的*.hevc格式视频，对应的命令为：</p>
<pre>x265.exe hall_cif_352x288_300.y4m --q 17 --merange 64 --frames all --ref 4 --max-merge 3 --rect-hash 2 --me 3 --b 6 --b-adapt 1 --rd 2 --rc-lookahead 60 --input-depth 16 --tu-inter-depth 3 --tu-intra-depth 3 --no-tskip-fast --wpp --subme 2 --s 32 --F 6 -o video.hevc</pre>
<p> </p>
<p>（注：由于我这边没有*.y4m格式视频，故没有测试，后续测试，补充在此。）</p>
<h2>2、GUI的方法</h2>
<p> </p>
<p>        采用“Baka Encoder”，下载网址：<a href="http://x265.ru/en/baka-encoder/" rel="external nofollow noreferrer">http://x265.ru/en/baka-encoder/</a></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAxMDQxNjM1NTkyNzY=.jpg"></p>
<p>配置方式是修改Baka Encoder.config.xml，对应的代码如下所示：</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;!-- Baka Encoder configuration file reference can be found at http://vtt.to/baka%20encoder%20configuration%20reference --&gt;
&lt;baka_encoder logging="0"&gt;
	&lt;presets&gt;
		&lt;preset name="preview" suffix="_preview" on="1"&gt;
			&lt;hint quality="7" compression="14" speed="6" streaming="1"/&gt;
			&lt;audio cmd="-br 60000"/&gt;
			&lt;video tool="x264" bit_depth="8" pass_count="2" max_width="480" max_height="360" resize_method="spline" base_bitrate="0" max_bitrate="0"
				cmd="--preset placebo --no-mbtree --ratetol 100.0 --keyint 60 --ref 3 --bitrate 500 --level 4.1 --vbv-bufsize 50000 --vbv-maxrate 62500"/&gt;
			&lt;muxing container="mp4" cmd=" --optimize-pd"/&gt;
		&lt;/preset&gt;
		&lt;preset name="normal" suffix="_normal" on="1"&gt;
			&lt;hint quality="11" compression="9" speed="3" streaming="1"/&gt;
			&lt;audio cmd="-q 0.6"/&gt;
			&lt;video tool="x264" bit_depth="8" pass_count="2" max_width="1280" max_height="960" resize_method="spline" base_bitrate="1500" max_bitrate="3500"
				cmd="--preset placebo --no-mbtree --ratetol 100.0 --keyint 60 --ref 4 --level 4.1 --vbv-bufsize 50000 --vbv-maxrate 62500"/&gt;
			&lt;muxing container="mp4" cmd=" --optimize-pd"/&gt;
		&lt;/preset&gt;
		&lt;preset name="normal h265" suffix="_normal.h265" on="1"&gt;
			&lt;hint quality="12" compression="9" speed="1" streaming="0"/&gt;
			&lt;audio cmd="-q 0.6"/&gt;
			&lt;video tool="x265" bit_depth="8" pass_count="2" max_width="1280" max_height="960" resize_method="spline" base_bitrate="1200" max_bitrate="10000"
				cmd="--preset slow --bframes 4 --ref 4"/&gt;
			&lt;muxing container="mp4" cmd=""/&gt;
		&lt;/preset&gt;
		&lt;preset name="deluxe" suffix="_deluxe" on="0"&gt;
			&lt;hint quality="14" compression="5" speed="4" streaming="0"/&gt;
			&lt;audio cmd="-q 1.0"/&gt;
			&lt;video tool="x264" bit_depth="10" pass_count="1" max_width="0" max_height="0" resize_method="" base_bitrate="0" max_bitrate="0"
				cmd="--crf 12 --preset placebo --no-mbtree --deblock 0:-1"/&gt;
			&lt;muxing container="mp4" cmd=""/&gt;
		&lt;/preset&gt;
		&lt;preset name="deluxe h265" suffix="_deluxe.h265" on="0"&gt;
			&lt;hint quality="15" compression="7" speed="1" streaming="0"/&gt;
			&lt;audio cmd="-q 1.0"/&gt;
			&lt;video tool="x265" bit_depth="10" pass_count="1" max_width="0" max_height="0" resize_method="" base_bitrate="0" max_bitrate="0"
				cmd="--crf 12 --preset slow"/&gt;
			&lt;muxing container="mp4" cmd=""/&gt;
		&lt;/preset&gt;
		&lt;preset name="express" suffix="_express" on="0"&gt;
			&lt;hint quality="7" compression="7" speed="10" streaming="0"/&gt;
			&lt;audio cmd="-q 0.5"/&gt;
			&lt;video tool="x264" bit_depth="8" pass_count="1" max_width="0" max_height="0" resize_method="" base_bitrate="1500" max_bitrate="5000"
				cmd="--preset fast --deblock 1:0 --bframes 4 --b-adapt 1 --rc-lookahead 36 --ref 3 --level 4.1 --vbv-bufsize 50000 --vbv-maxrate 62500"/&gt;
			&lt;muxing container="mp4" cmd=""/&gt;
		&lt;/preset&gt;
		&lt;preset name="lossless" suffix="_lossless" on="0" console="0"&gt;
			&lt;hint quality="16" compression="3" speed="8" streaming="0"/&gt;
			&lt;audio cmd="-q 1.0"/&gt;
			&lt;video tool="x264" bit_depth="8" pass_count="1" max_width="0" max_height="0" resize_method="spline" base_bitrate="0" max_bitrate="0"
				cmd="--crf 0 --preset placebo --log-level none --quiet"/&gt;
			&lt;muxing container="mp4" cmd=""/&gt;
		&lt;/preset&gt;
	&lt;/presets&gt;
&lt;/baka_encoder&gt;</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmJsb2cuY3Nkbi5uZXQveGhlZGl0b3IveGhlZGl0b3JfZW1vdC9kZWZhdWx0L2xhdWdoLmdpZg==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 17:35:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>x265探索与研究（四）：如何编码视频？的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myw6gJz.html" rel="bookmark">x265探索与研究（八）：x265中的并行处理机制函数关系分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265探索与研究(八):x265中的并行处理机制函数关系分析           HEVC的高计算复杂度如果仅仅依赖于单核处理器计算能力的提高,其代价是非常昂贵的,为此,HEVC的设计充分考虑到了并行计算的需求.x265不同于HM(HEVC test Model),x265将并行计算发挥地更加淋淋尽致.在main()函数中,为了完成多线程计算,读完24帧输入帧后才开始编码的原因也基于此.           为了理清x265中的并行处理机制,首先给出了如下图的并行处理函数关系图:      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7vxVM.html" rel="bookmark">x265探索与研究（六）：main&lpar;&rpar;函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265探索与研究(六):main()函数           x265源码的入口函数是main(),本文分析main()的主要功能.首先给出main()函数的功能及其代码结构:其次给出main()函数源码以及分析:最后给出main()函数中的主要功能函数的具体功能.   1.main()函数的功能及其代码结构           main()函数的主要功能是解析参数并进行编码的一些准备工作,调用了如下几个重要的函数: (1)cliopt.parse()函数:解析参数 (2)api-&gt;encod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3O04p.html" rel="bookmark">x265探索与研究（九）：compressFrame&lpar;&rpar;函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265探索与研究(九):compressFrame()函数           compressFrame()函数是一个功能繁杂且分析难度较大的函数,主要包括时间戳的初始化工作.access unit的设计.加权预测技术.运动参考帧的估计.当前Slice的QP值确定.熵编码相关信息配置.并行计算与否及其空间的申请.SEI相关配置.线程控制.CTU分析.Multi-pass Encoding.滤波与去噪处理等等,其中最重要的就是调用了encodeSlice()函数.           comp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7xJBb.html" rel="bookmark">x265探索与研究（七）：encode&lpar;&rpar;函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265探索与研究(七):encode()函数           在x265中,main()函数中调用了encoder_encode()函数,而encoder_encode()函数调用了encode()函数,encode()函数的主要功能是输入一帧图像,得到一帧图像的输出.           encode()函数主要包括大致三个部分: (1)分析是否由于错误造成的代码终止,如g_checkFailures.m_aborted. (2)判断是否有输入帧,若有,则判断该输入帧的像素深度.颜色空间			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBa5wM.html" rel="bookmark">x265探索与研究（十）：encodeSlice&lpar;&rpar;函数、encodeCTU&lpar;&rpar;函数、encodeCU&lpar;&rpar;函数与finishCU&lpar;&rpar;函数分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265探索与研究(十):encodeSlice()函数.encodeCTU()函数.encodeCU()函数与finishCU()函数分析           encodeSlice()函数.encodeCTU()函数.encodeCU()函数与finishCU()函数都是编码的重要函数,根据函数命名均可得知其各自的功能.下面首先给出这几个函数之间的调用关系图.       1.encodeSlice()函数           encodeSlice()函数位于frameencoder.cp			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZK5kp.html" rel="bookmark">x265探索与研究（三）：如何播放&ast;&period;265格式的视频或解码视频流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何播放*.265格式的视频或解码视频流               如下图,在得到.265格式的视频或视频流后应如何播放265格式的视频呢?本博文总结出5种播放265格式视频或视频流的基本方法. 方式一:Elecard HEVC Player Sample           软件下载地址:http://download.csdn.net/detail/frd2009041510/9387068         下载后直接双击安装即可,播放效果如下图所示. 方式二:GitlHEVCAnalyz			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjKQZM.html" rel="bookmark">x265探索与研究（二）：x265使用基本方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265使用基本方法         首先,完成x265的下载安装与配置. (参考网址:http://blog.csdn.net/frd2009041510/article/details/50446007) 接下来介绍x265编解码视频的基本方法. 第一步:         进入&quot;...x265_1.8\build\vc10-x86&quot;,双击&quot;build-all.bat&quot;,则进行编译.文件夹中的内容变化如下两图所示.      第二步:         用VS打开上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVPjBb.html" rel="bookmark">x265探索与研究（一）：x265下载安装与配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				x265下载安装与配置         研究了这么久的HEVC Test Model(HM),相信大家对x265开源代码的实现与框架早就充满了好奇,接下来的日子,我将把自己入手学习与探索&quot;x265开源代码的实现与框架&quot;的过程记录下来,与大家共同进步学习. 1.x265下载地址与参考资料 x265的官网为: http://x265.org/ x265下载地址: https://bitbucket.org/multicoreware/x265/downloads 或 http://ftp.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR5kdz.html" rel="bookmark">x265探索与研究（五）：如何用VS调试x265？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何用VS调试x265? 1.设置cli为启动项         用VS打开工程项目,如下图:         右击cli,设置为启动项,如下图: 2.配置路径和命令行参数         右击cli选择Properties,如下图所示         进入如下界面:         将Command Arguments和Working Directory中的内容填写好即可.         示例如下: Command Arguments: --preset fast --input hall_			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvYvrb.html" rel="bookmark" class="title">cpp-如何读取很多个xml文件，并且发布其中标记的数据</a>
					<div>
						问题描述 如何读取很多个xml文件,并且发布其中标记的数据 情况是这样的,老大教我做一个功能.1,发布数据,发布自己标记后的数据.2,xml的大量数据,对有需要的数据进行标记.我现在已经完成了2,完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zelXwp.html" rel="bookmark" class="title">陈小欢：谈谈企业网络营销两种成功模式</a>
					<div>
						最近,时常研究自己做各行业SEO前后的一些心得,作为一名企业的网络营销人员,虽然,我并非是计算机专业出身,谈起一个涉足一个行业首先要得行业有着深刻的了解.我们一般在做某些行业网站的时候,总会发现排在前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmZLqz.html" rel="bookmark" class="title">防范于未然：如何把K站扼杀于摇篮之中</a>
					<div>
						2012的seo行业可谓是满城风雨,seoer们见面的第一句话不再是&quot;你的网站排名上升了吗&quot;,而是&quot;今天的网站被k了吗&quot;.从这里我们可以看到网站被k概率已经不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlJdRz.html" rel="bookmark" class="title">如何在Excel数字后加单位</a>
					<div>
						如图,如何在这堆数字后自动加单位pcs呢? 选定数字--右键--设置单元格格式--自定义--输入: 000 &quot;pcs&quot;,0代表位数,pcs一定要有引号&quot; &quot;.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYAqKM.html" rel="bookmark" class="title">excel中文日期与英文日期的转换</a>
					<div>
						  一.一般的转换方法 假如A列为英文日期格式,譬如是: A1 19-Jul-12 A2 20-Jul-12 A3 21-Jul-12 A4 22-Jul-12 那么,如果你想将其转换为中文的日期,假 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Z3jM.html" rel="bookmark" class="title">怎么进入嘟嘟频道？</a>
					<div>
						  只要打开语音界面,在频道号码输入栏中输入想要进入的频道号码点击回车即可. 或者在&quot;热门频道&quot;.&quot;娱乐频道&quot;中看到自己喜爱的频道,双击这个频道的图标即可直接进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYDn2M.html" rel="bookmark" class="title">东芝Qosmio X75游戏本评测</a>
					<div>
						  东芝发布了最新版本的Qosmio系列X75游戏本(国内将于7月30日正式发布,国内版本型号为X70).它拥有该系列最强的硬件配置,包括一块17英寸的全高清屏幕.英特尔第四代酷睿i7处理器.16GB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY2nvb.html" rel="bookmark" class="title">Code Jam 2010 Round 1B Problem A</a>
					<div>
						Problem B. Picking Up Chicks Problem A flock of chickens are running east along a straight, narrow r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PxRZp.html" rel="bookmark" class="title">解析Java程序中对象内存的分配和控制的基本方法&lowbar;java</a>
					<div>
						一.对象与内存控制的知识点 1.java变量的初始化过程,包括局部变量,成员变量(实例变量和类变量). 2.继承关系中,当使用的对象引用变量编译时类型和运行时类型不同时,访问该对象的属性和方法是有区别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7rXKz.html" rel="bookmark" class="title">java-Java记事本如何设置背景色</a>
					<div>
						问题描述 Java记事本如何设置背景色 做了一个记事本需要添加背景色 白天黄色 晚上淡色 老师说 好像用到富文本 需要下载什么jar包 真的没搜索到 很着急 急需 希望大家帮助 谢谢大家 急! 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PPgQp.html" rel="bookmark" class="title">在asp&period;net中怎么导出真正的excel文件</a>
					<div>
						问题描述 求教导出真正的excel文件,导出的文件在不做任何变动的情况下,还要能够导入进去.也就是说导出的文件,要和桌面创建的excel是一个格式. 解决方案 解决方案二:用aspose.cells插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEwZkp.html" rel="bookmark" class="title">在Terminal使用socks5代理</a>
					<div>
						在Terminal使用socks5代理 mobile | • Oct 29, 2015 平时用SSLedge科学上网,速度很不错.在公司有时候连不上,不过这主要是公司破网络的问题.开发中经常需要在Te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBk0wM.html" rel="bookmark" class="title">C&num; WinForm开发系列 - WebBrowser</a>
					<div>
						原文:C# WinForm开发系列 - WebBrowser    介绍Vs 2005中带的WebBrowser控件使用以及一些疑难问题的解决方法, 如如何正确显示中文, 屏蔽右键菜单, 设置代理等; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRWPXb.html" rel="bookmark" class="title">sql-C&num;中写SQL语句，单双引号的区别，为什么会报标准表达式中数据类型不匹配。</a>
					<div>
						问题描述 C#中写SQL语句,单双引号的区别,为什么会报标准表达式中数据类型不匹配. OleDbDataAdapter WorkPieceDataDA = new OleDbDataAdapter(& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnAnXM.html" rel="bookmark" class="title">中美大都会潜规则：保单失效公司成最大受益者</a>
					<div>
						一份保单失效,保险公司可以尽享一万多元保费,只需退回几百元的现金价值,即使算上分给投保人的红利,保险公司也可以净赚万元.对保险公司来说这似乎是比保险本身更划算的买卖--中美大都会&quot;保单失效& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgww7OM.html" rel="bookmark" class="title">Android开发实现1手机通过蓝牙同时获取多个附近手机蓝牙物理地址</a>
					<div>
						问题描述 Android开发实现1手机通过蓝牙同时获取多个附近手机蓝牙物理地址 大虾们,请问Android开发可以实现以下功能吗? 一共10台手机,都开了蓝牙,其中一台手机能获取附近9台手机的物理地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnyZxM.html" rel="bookmark" class="title">小妹问哈字&colon; 我做的异步程序&comma;有3异步类和1个主程序mainform他们之间传递属性类的对象作为参数&comma; 运行时报错&amp;amp&semi;amp&semi;quot&semi; 该对象已在其他地方使用&amp;amp&semi;amp&semi;quot&semi;</a>
					<div>
						问题描述 小妹问哈字:我做的异步程序,有3异步类和1个主程序mainform他们之间传递属性类的对象作为参数,运行时报错&quot;该对象已在其他地方使用&quot;,是不是因为我传进异步类的参数在其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xDdgb.html" rel="bookmark" class="title">有dll和lib及&period;h头文件，安卓如何调用dll或lib中的函数？</a>
					<div>
						问题描述 有dll和lib及.h头文件,安卓如何调用dll或lib中的函数? 有dll和lib及.h头文件,安卓如何调用dll或lib中的函数? 解决方案 调用不了. dll是windows操作系统专 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RlYmz.html" rel="bookmark" class="title">javascript设计模式之module&lpar;模块&rpar;模式&lowbar;javascript技巧</a>
					<div>
						模块是任何强大应用程序中不可或缺的一部分,它通常能帮助我们清晰地分离和组织项目中的代码单元. js中实现模块的方法: 1.对象字面量表示法  2.Module模式  3.AMD模块  4.Common ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKNOlM.html" rel="bookmark" class="title">20个实用的JavaScript技巧分享&lowbar;javascript技巧</a>
					<div>
						众所周知,JavaScript是一门非常流行的编程语言,开发者用它不仅可以开发出炫丽的Web程序,还可以用它来开发一些移动应用程序(如PhoneGap或Appcelerator),它还有一些服务端实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkePvz.html" rel="bookmark" class="title">MySql 修改密码后的错误快速解决方法&lowbar;Mysql</a>
					<div>
						设置好密码后,使用数据库时出现如下错误: ERROR 1820 (HY000): You must reset your password using ALTER USER statement bef ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW74VnM.html" rel="bookmark" class="title">javascript-手机网页，能调用手机录音功能么？</a>
					<div>
						问题描述 手机网页,能调用手机录音功能么? 我在做一个H5,要用到录音,百度了好久,没有一个好点的答案,求解啊!急急急!! 解决方案 http://blog.csdn.net/gf771115/art ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QxXBp.html" rel="bookmark" class="title">八皇后问题&lowbar;&lowbar;java：求问这里出现的异常问题</a>
					<div>
						问题描述 八皇后问题__java:求问这里出现的异常问题 关于8皇后问题,这里为了简便就是4个皇后在排列,问题出在我每次把程序里的Net数组加到net set里面以后,就发生了改变,这就导致后续的重复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEkaEz.html" rel="bookmark" class="title">WPF新手问题</a>
					<div>
						问题描述 我给BUTTON加了一个图片/浮动控制条;component/bin/Debug/Images/speed.png路劲是这样的,但是在后台能显示运行DEBUG就是空白&lt;Button.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW93Gz.html" rel="bookmark" class="title">明基显示器厮杀欧洲：西门庆式俘获女人心</a>
					<div>
						(自媒体公众号:laohushuokeji 或 老胡说科技) 这个时代最伟大的商业故事是一段设计传奇.苹果公司如是,Google亦如此. 近日,笔者亲自体验了一把台湾明基的一款护眼显示器,让我体会到这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1D9Z8b.html" rel="bookmark" class="title">《Android开发基础教程》&mdash;&mdash;扩展练习</a>
					<div>
						扩展练习Android开发基础教程1．利用ImageView显示书籍图片,点击下一张按钮依次显示下一张的书籍图片并在TextView组件上显示书籍的说明,如果图片已到最后一张,则循环到第一张. 2．使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoPmNM.html" rel="bookmark" class="title">针对网络广播 BitTorrent推出新型流媒体平台</a>
					<div>
						BitTorrent多年来一直在其专有的实时流媒体技术,但今天公布了其第一个专门的应用程序 - BitTorrent Live. BitTorrent Live计划于本周在Apple TV上推出,在6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenBvwb.html" rel="bookmark" class="title">剑指Cat-M1和Cat-NB1 ，高通全力押注为哪般？</a>
					<div>
						从最早的模拟通信到数字通信,从功能手机到智能手机,高通一直在推动行业的变革和演进.为了在5G 技术上保持领先地位,高通将目光放在了物联网.谈到催生未来物联网的主要技术,高通将筹码押注在了 LTE Ca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr7Wjvp.html" rel="bookmark" class="title">深高速：新项目渐入&OpenCurlyDoubleQuote;收获期&rdquo;</a>
					<div>
						8月23日,深高速董事长杨海在公司中期业绩发布会上表示,从上半年看,机荷东段.清连高速等新项目已经开始大幅拉动公司路费收入,未来将实质性提升公司盈利水平.他同时透露,公司计划在2010-2014年间, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw58VvM.html" rel="bookmark" class="title">中小企业丧失了什么？</a>
					<div>
						尽管政策不断向资本市场吹暖风,但市场依旧不买账.因为当前我们所遭遇到的情况似乎不容盲目乐观. 一个身处上游行业的基建用建材加工私营企业,工厂规模不小,企业里的一切井井有条.老板很年轻,曾有多辆名牌跑车 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
